Retrieve all Sites

View as Markdown

Retrieve all Sites for org.

User must have authorization role with PROVIDER_ADMIN or TENANT_ADMIN suffix. infrastructureProviderId or tenantId query parameter may be required for older API versions.

Authentication

AuthorizationBearer
``` export JWT_BEARER_TOKEN="<jwt-bearer-token>" # Example org name: "acme-inc export ORG_NAME=<org-name> # Use the JWT bearer token in your API request auth header: curl -v -X GET -H "Content-Type: application/json" -H "Authorization: Bearer $JWT_BEARER_TOKEN" https://nico-rest-api.nico.svc.cluster.local/v2/org/$ORG_NAME/nico/user/current ```

Path parameters

orgstringRequired
Name of the Org

Query parameters

infrastructureProviderIdstringOptionalformat: "uuid"Deprecated

Filter Sites by Infrastructure Provider ID. Deprecated: Infrastructure Provider is now inferred from the org’s membership.

tenantIdstringOptionalformat: "uuid"Deprecated

Filter Sites by Tenant ID. Deprecated: Tenant is now inferred from the org’s membership.

statusstringOptional
Filter Sites by Status. Can be specified multiple times to filter on more than one status
isNativeNetworkingEnabledbooleanOptional
Filter Sites by native networking enabled flag. Requires Provider Admin role.
isNetworkSecurityGroupEnabledbooleanOptional
Filter Sites by network security group enabled flag. Requires Provider Admin role.
isNVLinkPartitionEnabledbooleanOptional
Filter Sites by NVLink partitioning enabled flag. Requires Provider Admin role.
isFlowEnabledbooleanOptional
Filter Sites by NICo Flow enabled flag. Requires Provider Admin role.
includeMachineStatsbooleanOptional
Include a breakdown of Machine counts by lifecycle status and health. Requires Provider Admin role.
includeGpuStatsbooleanOptional

Include a per-Site breakdown of GPU counts grouped by GPU type. Requires Provider Admin role.

querystringOptional
Search for matches across all Sites. Input will be matched against name, description, location, contact, and status fields
includeRelationenumOptional
Related entity to expand
Allowed values:
pageNumberintegerOptional1-21474836
Page number for pagination query
pageSizeintegerOptional1-100
Page size for pagination query
orderByenumOptional
Ordering for pagination query

Response headers

X-PaginationstringOptional
Pagination result in JSON format

Response

OK
idstringOptionalRead-onlyformat: "uuid"
Unique UUID v4 identifier for the Site in NICo Cloud
namestringOptional2-256 characters
Name of the Site
descriptionstring or nullOptional
Optional description for the Site
orgstringOptional
NGC organization ID of the Infrastructure Provider that owns the Site
infrastructureProviderIdstringOptionalformat: "uuid"
ID of the Infrastructure Provider that owns the Site
siteControllerVersionstring or nullOptional
Version of the Site Controller software
siteAgentVersionstring or nullOptional
Version of the Site Agent software
registrationTokenstring or nullOptional
Token that can be used to register a Site. Value only exposed to Provider
registrationTokenExpirationdatetime or nullOptionalRead-only

Date/time when registration token expires. Value only exposed to Provider

serialConsoleHostnamestring or nullOptionalformat: "hostname"
Serial console hostname of the site controller
isSerialConsoleEnabledbooleanOptional
Indicates if Serial Console is enabled for the Site by the Provider
serialConsoleIdleTimeoutinteger or nullOptional
Maximum idle time in seconds before Serial Console is disconnected
serialConsoleMaxSessionLengthinteger or nullOptional
Maximum length of Serial Console session in seconds
isSerialConsoleSSHKeysEnabledbooleanOptional
Only visible to Tenant retrieving the Site. Indicates if Serial Console access using SSH Keys is enabled by Tenant
isOnlinebooleanOptional
Indicates if the Site is currently reachable from Cloud
statusenumOptional
Status of the Site
statusHistorylist of objectsOptional
Chronological status history for the Site
createddatetimeOptional

Date/time when the Site was created

updateddatetimeOptional

Date/time when the Site was last updated

locationobjectOptional
Site location information
contactobjectOptional
Site contact information
capabilitiesobjectOptional
Site capabilities used for feature availability and configuration
machineStatsobjectOptional
Machine counts by status for the Site
gpuStatslist of objectsOptional
GPU counts grouped by GPU type for the Site. Populated when includeGpuStats is set

Errors

403
Forbidden Error